[android-components](../../../index.md) / [mozilla.components.support.migration](../../index.md) / [FennecMigratorException](../index.md) / [MigrateSearchEngineException](index.md) / [&lt;init&gt;](./-init-.md)

# &lt;init&gt;

`MigrateSearchEngineException(cause: `[`Exception`](http://docs.oracle.com/javase/7/docs/api/java/lang/Exception.html)`)`

Unexpected exception while migrating the default search engine.

### Parameters

`cause` - Original exception which caused the problem.